Bug 442740 (CVE-2008-0314) - CVE-2008-0314 clamav: PeSpin Heap Overflow Vulnerability
Summary: CVE-2008-0314 clamav: PeSpin Heap Overflow Vulnerability
Status: CLOSED ERRATA
Alias: CVE-2008-0314
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: source=internet,repoted=20080415,publ...
Keywords: Security
Depends On: 442362 442363 442364
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-16 15:24 UTC by Tomas Hoger
Modified: 2008-06-19 10:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 10:49:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2008-04-16 15:24:29 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-0314 to the following vulnerability:

Heap-based buffer overflow in spin.c in libclamav in ClamAV 0.92.1
allows remote attackers to execute arbitrary code via a crafted PeSpin
packed PE binary with a modified length value.

Fixed in 0.93.

References:
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=686
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=876

Comment 1 Fedora Update System 2008-04-25 11:17:55 UTC
clamav-0.92.1-2.fc7 has been submitted as an update for Fedora 7

Comment 2 Fedora Update System 2008-04-29 20:56:09 UTC
clamav-0.92.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2008-04-29 21:01:19 UTC
clamav-0.92.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-05-13 15:17:46 UTC
clamav-0.93-1.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-05-14 22:09:14 UTC
clamav-0.93-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.